Bug 169861 - new port: audio/bristol, Bristol Synthesiser Emulations
Summary: new port: audio/bristol, Bristol Synthesiser Emulations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 20:30 UTC by pierrejacques.mimifir
Modified: 2012-10-01 23:00 UTC (History)
0 users

See Also:


Attachments
file.shar (4.83 KB, text/plain)
2012-07-14 20:30 UTC, pierrejacques.mimifir
no flags Details
port.shar (6.25 KB, application/x-shar)
2012-09-25 15:37 UTC, Guido Falsi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierrejacques.mimifir 2012-07-14 20:30:10 UTC
New port: Bristol is an emulation package for a number of different 'classic' synthesisers including additive and subtractive and a few organs. The application consists of the engine, which is called bristol, and its own GUI library called brighton that represents all the emulations.

There are currently twenty something different emulations, each does sound different although the author maintains that the quality and accuracy of each emulation is subjective. One of the main reasons for putting together this site (host by Sourceforge which provides the rest of the services required by bristol) is to depict all the different emulations.

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2012-09-20 22:39:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-09-25 15:37:54 UTC
Hi!

Thanks for your submission to the ports collection.

I have tested you port and made a few modifications. I'm attaching a
revised shar. You should review them.

Main points are:

Added the website to pkg-descr

Added MLINKS and PORTDATA, they are required to get a correct plist. the
pkg-plist too neded some fixes.

To better check the plist you shoud use make package, a tinderbox or the
redports website.

Removed ABI version numbers from LIB_DEPENDS

Fixed the startup script, which had some linuxisms.

I also modified your patches using ifdef/ifndef, in this way they can be
submitted upstream for inclusion.

I did remove the options. Options should really be this own port ones,
not optional dependencies which are not required strictly by this port.

It would be an anomaly if a jack client had a dependency on a jack
control GUI application, even if it is optional. That GUI is not
strictly required to run this software, and I'd expect people who use
jack to know that, or, just like I did having never user jack, to learn
how to properly operate it.

One last point, the port fails with a big warning if one tries to run
the configure target while it is already installed.

This is a problem, since this is a needed step when updating the
software using tools like portmaster or portupgrade and is quite common
to perform the build of a port's new version before deinstalling the new
one. The configure step fails witha  big warning about problems that
could arise by building bristol while a previous version is installed. I
worked around it with the configure flag "--disable-version-check".

Is this acceptable? what big problems could this create?

Please revise the modified port and see if you approve the changes.

Thanks you.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-09-28 10:28:08 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 Guido Falsi freebsd_committer 2012-09-30 17:17:43 UTC
State Changed
From-To: feedback->open

Submitter has approved via private email.
Comment 5 Guido Falsi freebsd_committer 2012-10-01 22:52:53 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2012-10-01 22:52:57 UTC
Author: madpilot
Date: Mon Oct  1 21:52:42 2012
New Revision: 305142
URL: http://svn.freebsd.org/changeset/ports/305142

Log:
  Bristol is an emulation package for a number of different 'classic'
  synthesisers including additive, subtractive and a few organs.
  The application consists of the engine, which is called bristol,
  and its own GUI library called brighton that represents all the
  emulations.
  
  WWW: http://bristol.sourceforge.net/
  
  PR:		ports/169861
  Submitted by:	pjm <pierrejacqes.mimifir@gmail.com>

Added:
  head/audio/bristol/
  head/audio/bristol/Makefile   (contents, props changed)
  head/audio/bristol/distinfo   (contents, props changed)
  head/audio/bristol/files/
  head/audio/bristol/files/patch-bin_startBristol.in   (contents, props changed)
  head/audio/bristol/files/patch-bristol-bristol.c   (contents, props changed)
  head/audio/bristol/files/patch-libbristolaudio-audioEngine.c   (contents, props changed)
  head/audio/bristol/files/patch-libbristolaudio-audioGUIOSS.c   (contents, props changed)
  head/audio/bristol/pkg-descr   (contents, props changed)
  head/audio/bristol/pkg-plist   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Mon Oct  1 20:06:55 2012	(r305141)
+++ head/audio/Makefile	Mon Oct  1 21:52:42 2012	(r305142)
@@ -77,6 +77,7 @@
     SUBDIR += bmp-wma
     SUBDIR += bonk
     SUBDIR += boodler
+    SUBDIR += bristol
     SUBDIR += btc
     SUBDIR += calf
     SUBDIR += cam

Added: head/audio/bristol/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/Makefile	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,34 @@
+# Created by: pjm <pierrejacqes.mimifir@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	bristol
+PORTVERSION=	0.60.10
+CATEGORIES=	audio
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/0.60
+
+MAINTAINER=	pierrejacques.mimifir@gmail.com
+COMMENT=	Vintage synthesiers emulation for electric pianos and organs
+
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	jack:${PORTSDIR}/audio/jack \
+		fluidsynth:${PORTSDIR}/audio/fluidsynth
+
+USE_LDCONFIG=	yes
+GNU_CONFIGURE=	yes
+USE_QT_VER=	4
+QT_COMPONENTS=	gui qmake_build moc_build uic_build rcc_build linguist_build
+
+CONFIGURE_ARGS+=	--disable-alsa --enable-oss \
+			--enable-jack-default-audio \
+			--enable-jack-default-midi \
+			--disable-version-check
+
+MAKE_JOBS_SAFE=	yes
+
+MAN1=		bristol.1 bristoljackstats.1
+MLINKS=		bristol.1 brighton.1 bristol.1 startBristol.1
+
+PORTDATA=	*
+
+.include <bsd.port.mk>

Added: head/audio/bristol/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/distinfo	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,2 @@
+SHA256 (bristol-0.60.10.tar.gz) = a39cee4d7d59422b67a55620ae17f5b4aff162bf39077e70c5799bde7eb1191c
+SIZE (bristol-0.60.10.tar.gz) = 4206356

Added: head/audio/bristol/files/patch-bin_startBristol.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/files/patch-bin_startBristol.in	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,44 @@
+--- bin/startBristol.in.orig	2012-04-27 13:07:18.000000000 +0200
++++ bin/startBristol.in	2012-09-24 13:30:26.589848964 +0200
+@@ -39,14 +39,19 @@
+ #PORT=5028
+ # Randomise the port numbers, can be overridden by -port which would be a
+ # requirement for multitimbral
+-PORT=`date +%N`
+-PORT=`expr $PORT % 65536` >/dev/null 2>&1
+-if [ -z $PORT ]; then
+-	PORT=`date +%s`
++UNAME=`uname`
++if [ "${UNAME}x" = "FreeBSDx" ]; then
++	PORT=`jot -r 1 1025 65536`
++else
++	PORT=`date +%N`
+ 	PORT=`expr $PORT % 65536` >/dev/null 2>&1
+-fi
+-if [ $PORT -lt 1024 ]; then
+-	PORT=`expr $PORT + 5028`
++	if [ -z $PORT ]; then
++		PORT=`date +%s`
++		PORT=`expr $PORT % 65536` >/dev/null 2>&1
++	fi
++	if [ $PORT -lt 1024 ]; then
++		PORT=`expr $PORT + 5028`
++	fi
+ fi
+ 
+ valgrind=0
+@@ -497,12 +502,12 @@
+ 		fi
+ 	else
+ 		echo checking availability of TCP port $PORT
+-		netstat -taln | awk '{print $4}' | grep $PORT > /dev/null
++		netstat -a -f inet -p tcp -ln | grep $PORT > /dev/null
+ 		while [ $? -eq 0 ]; do
+ 			echo -n "port looked busy, trying "
+ 			PORT=`expr $PORT + 1`
+ 			echo $PORT
+-			netstat -taln | grep $PORT > /dev/null
++			netstat -a -f inet -p tcp -ln | grep $PORT > /dev/null
+ 		done
+ 		if [ ${PORT} -lt 1024 -a ${USER} != "root" ]; then
+ 				echo you may not have permissions for ports less than 1024

Added: head/audio/bristol/files/patch-bristol-bristol.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/files/patch-bristol-bristol.c	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,14 @@
+--- bristol/bristol.c.orig	2012-04-27 13:04:28.000000000 +0200
++++ bristol/bristol.c	2012-09-24 15:43:08.299853839 +0200
+@@ -27,7 +27,11 @@
+ #include <unistd.h>
+ #include <pthread.h>
+ #include <sys/types.h>
++#ifdef __FreeBSD__
++#include <sys/wait.h>
++#else
+ #include <wait.h>
++#endif
+ 
+ #if defined(linux)
+ #include <sched.h>

Added: head/audio/bristol/files/patch-libbristolaudio-audioEngine.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/files/patch-libbristolaudio-audioEngine.c	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,13 @@
+--- libbristolaudio/audioEngine.c.orig	2012-04-27 13:04:29.000000000 +0200
++++ libbristolaudio/audioEngine.c	2012-09-24 15:41:49.609845763 +0200
+@@ -59,8 +59,10 @@
+ #include <fcntl.h>
+ #ifdef SUBFRAGMENT
+ #include <stdlib.h>
++#ifndef __FreeBSD__
+ #include <malloc.h>
+ #endif
++#endif
+ 
+ #include <sys/ioctl.h>
+ 

Added: head/audio/bristol/files/patch-libbristolaudio-audioGUIOSS.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/files/patch-libbristolaudio-audioGUIOSS.c	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,12 @@
+--- libbristolaudio/audioGUIOSS.c.orig	2012-04-27 13:04:29.000000000 +0200
++++ libbristolaudio/audioGUIOSS.c	2012-09-24 15:42:10.570849586 +0200
+@@ -50,7 +50,9 @@
+ #include <unistd.h>
+ #include <fcntl.h>
+ #include <stdlib.h>
++#ifndef __FreeBSD__
+ #include <malloc.h>
++#endif
+ 
+ static int setAudioOSS(int, duplexDev *, int, int, int);
+ 

Added: head/audio/bristol/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/pkg-descr	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,7 @@
+Bristol is an emulation package for a number of different 'classic'
+synthesisers including additive, subtractive and a few organs.
+The application consists of the engine, which is called bristol,
+and its own GUI library called brighton that represents all the
+emulations.
+
+WWW: http://bristol.sourceforge.net/

Added: head/audio/bristol/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/bristol/pkg-plist	Mon Oct  1 21:52:42 2012	(r305142)
@@ -0,0 +1,32 @@
+bin/startBristol
+bin/bristoljackstats
+bin/bristol
+bin/brighton
+lib/libbristolaudio.so.0
+lib/libbristolaudio.so
+lib/libbristolaudio.la
+lib/libbristolaudio.a
+lib/libbvg.so.0
+lib/libbvg.so
+lib/libbvg.la
+lib/libbvg.a
+lib/libbristolmidi.so.0
+lib/libbristolmidi.so
+lib/libbristolmidi.la
+lib/libbristolmidi.a
+lib/libbristolic.so.0
+lib/libbristolic.so
+lib/libbristolic.la
+lib/libbristolic.a
+lib/libbristol.so.0
+lib/libbristol.so
+lib/libbristol.la
+lib/libbristol.a
+lib/libbrighton.so.0
+lib/libbrighton.so
+lib/libbrighton.la
+lib/libbrighton.a
+lib/libC11.so.0
+lib/libC11.so
+lib/libC11.la
+lib/libC11.a
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"